#
# spec file for package lsof (Version 4.57)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         lsof
Copyright:    1994 Purdue Research Foundation, West Lafayette, Indiana
Group:        Applications/System
Autoreqprov:  on
Version:      4.57
Release:      30
Source:       %{name}_%{version}.tar.bz2
Patch:        %{name}_%{version}.dif
URL:          ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Lists information about files opened by processes

%description
An  open  file may be a regular file, a directory, a block
special file, a character special file, an executing  text
reference, a library, a stream or a network file (Internet
socket, NFS file or UNIX domain socket.)  A specific  file
or all the files in a file system may be selected by path.

Authors:
--------
    Victor A. Abell <abe@purdue.edu>

SuSE series: ap

%prep
%setup -n %{name}_%{version}
%patch

%build
./Configure -n linux
make

%install
install -d ${RPM_BUILD_ROOT}/usr/bin \
           ${RPM_BUILD_ROOT}/%{_mandir}/man8/
install -s lsof ${RPM_BUILD_ROOT}/usr/bin
install lsof.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8/
mkdir SuSE_docs
for s in 00{CREDITS,DCACHE,DIST,FAQ,LSOF-L,QUICKSTART,README}; do
	mv $s SuSE_docs/${s#00}
done 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc SuSE_docs/*
%doc %{_mandir}/man8/lsof.8*
/usr/bin/lsof

%changelog -n lsof
* Tue Aug 14 2001 - nadvornik@suse.cz
- update to 4.57
* Thu Mar 08 2001 - nadvornik@suse.cz
- update to 4.55
* Sun Dec 03 2000 - smid@suse.cz
- new version 4.52
* Wed Oct 04 2000 - smid@suse.cz
- new version 4.51
* Wed Apr 05 2000 - smid@suse.cz
- upgrade to 4.49
- BuildRoot added
* Thu Jan 20 2000 - aj@suse.de
- /usr/man -> /usr/share/man
* Thu Nov 04 1999 - ro@suse.de
- update to 4.46
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - ro@suse.de
- update to 4.45
* Tue Mar 09 1999 - ro@suse.de
- force LSOF_VERS=22003
* Tue Mar 09 1999 - ro@suse.de
- use proc-base version for STABLE, now that we're 2.2-based
* Fri Mar 05 1999 - ro@suse.de
- for BETA: use proc version
- changed proc/dlsof.h to work with glibc-2.1
* Fri Feb 26 1999 - florian@suse.de
- add security patches
* Thu Dec 10 1998 - ro@suse.de
- disabled proc-version in Configure
* Thu Dec 10 1998 - ro@suse.de
- update to 4.38
- added rh-patch for kmem/dlsof.h
- compile as 2.0 (kmem) version
* Tue Sep 22 1998 - ro@suse.de
- update to 4.37 / for now only the proc version works with glibc
  but that needs a running 2.1 kernel !!!!
* Wed Jun 24 1998 - ro@suse.de
- update to 4.31 using diff from jurix/source
* Thu Oct 09 1997 - florian@suse.de
- update to version 4.16
* Wed Oct 08 1997 - max@suse.de
- changed to rpm format and eliminated Makefile.Linux
* Mon Jul 07 1997 - florian@suse.de
- update to version 4.11
* Sat Apr 26 1997 - florian@suse.de
- add new package of lsof 4.05
